Fetch Consolidation Report
Introduction
This API fetches the consolidated Bank Statement Analysis (BSA) and GST Prism report generated for a previously submitted request. It returns the combined structured JSON data along with the generated Excel report.
cURL
curl --location 'https://api-preproduction.signzy.app/api/v3/gst-and-bsa-consolidation/fetch-report' \
--header 'Authorization: <auth token>' \
--header 'content-type: application/json' \
--data-raw '{
"requestId": ""
}'Endpoints
https://api.signzy.app/api/v3/gst-and-bsa-consolidation/fetch-reportRequest Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"requestId": "9389d3e6-b33a-49d5-b916-0c6d5c4384ef"
}Input Mapping
PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
requestId | Request Id provided in the create consolidation report API | String | COMPULSORY |
Response Data
{
"result": {
"jsonDataUrl": "",
"excelUrl": ""
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
result | This parameter contains the actual output. | Object | COMPULSORY |
jsonDataUrl | Persist link of JSON report | String | COMPULSORY |
excelUrl | Persist link of EXCEL report | String | COMPULSORY |
Sample Status Codes And Messages
{
"result": {
"jsonDataUrl": "",
"excelUrl": ""
}
}